import { AbstractTree } from "./abstractTree.mjs";
import { ObjectTreeModel } from "./objectTreeModel.mjs";
class DataTree extends AbstractTree {
  constructor(user, container, delegate, renderers, dataSource, options = {}) {
    super(user, container, delegate, renderers, options);
    this.user = user;
    this.dataSource = dataSource;
    this.identityProvider = options.identityProvider;
  }
  createModel(user, view, options) {
    return new ObjectTreeModel(user, view, options);
  }
}
export {
  DataTree
};
